summaryrefslogtreecommitdiffstats
path: root/source/l/soprano
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/l/soprano
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/l/soprano')
-rwxr-xr-xsource/l/soprano/soprano.SlackBuild18
1 files changed, 15 insertions, 3 deletions
diff --git a/source/l/soprano/soprano.SlackBuild b/source/l/soprano/soprano.SlackBuild
index 3fbdc8fc5..054fb20b2 100755
--- a/source/l/soprano/soprano.SlackBuild
+++ b/source/l/soprano/soprano.SlackBuild
@@ -22,9 +22,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-2.4.3}
-BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:--j6}
+PKGNAM=soprano
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -36,6 +36,8 @@ if [ -z "$ARCH" ]; then
esac
fi
+NUMJOBS=${NUMJOBS:--j6}
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-soprano
@@ -57,6 +59,16 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
+
+# Detect JDK, needed for libsoprano_sesame2backend.so:
+if ! ls /var/log/packages/jdk-* 1> /dev/null 2> /dev/null ; then
+ echo
+ echo "JDK package not found in /var/log/packages."
+ echo "This is needed to compile libsoprano_sesame2backend.so."
+ echo
+ exit 1
+fi
+
rm -rf soprano-$VERSION
tar xvf $CWD/soprano-$VERSION.tar.bz2 || exit 1
cd soprano-$VERSION || exit 1